# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2021-01-10 16:59
from __future__ import unicode_literals

from django.db import migrations
#from django.conf import settings
import ldapdb.models.fields

#from ldap_sync.management.commands.ldap_rebuild import flush_ldap, sync_ldap

#def rebuild_ldap(apps, schema_editor):
#    usersdn = settings.LDAP["base_user_dn"]
#    groupsdn = settings.LDAP["base_usergroup_dn"]
#    binddn = settings.DATABASES["ldap"]["USER"]
#    bindpass = settings.DATABASES["ldap"]["PASSWORD"]
#    server = settings.DATABASES["ldap"]["NAME"]
#    flush_ldap(binddn, bindpass, server, usersdn, groupsdn)


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('users', '0002_foreign_keys')
    ]

    operations = [
        migrations.CreateModel(
            name='LdapServiceUser',
            fields=[
                ('dn', ldapdb.models.fields.CharField(max_length=200, serialize=False)),
                ('name', ldapdb.models.fields.CharField(db_column='cn', max_length=200, primary_key=True, serialize=False)),
                ('user_password', ldapdb.models.fields.CharField(blank=True, db_column='userPassword', max_length=200, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LdapServiceUserGroup',
            fields=[
                ('dn', ldapdb.models.fields.CharField(max_length=200, serialize=False)),
                ('name', ldapdb.models.fields.CharField(db_column='cn', max_length=200, primary_key=True, serialize=False)),
                ('members', ldapdb.models.fields.ListField(blank=True, db_column='member')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LdapUser',
            fields=[
                ('dn', ldapdb.models.fields.CharField(max_length=200, serialize=False)),
                ('gid', ldapdb.models.fields.IntegerField(db_column='gidNumber')),
                ('name', ldapdb.models.fields.CharField(db_column='cn', max_length=200, primary_key=True, serialize=False)),
                ('uid', ldapdb.models.fields.CharField(db_column='uid', max_length=200)),
                ('uidNumber', ldapdb.models.fields.IntegerField(db_column='uidNumber', unique=True)),
                ('sn', ldapdb.models.fields.CharField(db_column='sn', max_length=200)),
                ('login_shell', ldapdb.models.fields.CharField(blank=True, db_column='loginShell', max_length=200, null=True)),
                ('mail', ldapdb.models.fields.CharField(db_column='mail', max_length=200)),
                ('given_name', ldapdb.models.fields.CharField(db_column='givenName', max_length=200)),
                ('home_directory', ldapdb.models.fields.CharField(db_column='homeDirectory', max_length=200)),
                ('display_name', ldapdb.models.fields.CharField(blank=True, db_column='displayName', max_length=200, null=True)),
                ('dialupAccess', ldapdb.models.fields.CharField(db_column='dialupAccess', max_length=200)),
                ('sambaSID', ldapdb.models.fields.IntegerField(db_column='sambaSID', unique=True)),
                ('user_password', ldapdb.models.fields.CharField(blank=True, db_column='userPassword', max_length=200, null=True)),
                ('sambat_nt_password', ldapdb.models.fields.CharField(blank=True, db_column='sambaNTPassword', max_length=200, null=True)),
                ('macs', ldapdb.models.fields.ListField(blank=True, db_column='radiusCallingStationId', max_length=200, null=True)),
                ('shadowexpire', ldapdb.models.fields.CharField(blank=True, db_column='shadowExpire', max_length=200, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LdapUserGroup',
            fields=[
                ('dn', ldapdb.models.fields.CharField(max_length=200, serialize=False)),
                ('gid', ldapdb.models.fields.IntegerField(db_column='gidNumber')),
                ('members', ldapdb.models.fields.ListField(blank=True, db_column='memberUid')),
                ('name', ldapdb.models.fields.CharField(db_column='cn', max_length=200, primary_key=True, serialize=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='ldapserviceuser',
            name='dn',
            field=ldapdb.models.fields.CharField(max_length=200, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='ldapserviceusergroup',
            name='dn',
            field=ldapdb.models.fields.CharField(max_length=200, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='ldapuser',
            name='dn',
            field=ldapdb.models.fields.CharField(max_length=200, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='ldapusergroup',
            name='dn',
            field=ldapdb.models.fields.CharField(max_length=200, primary_key=True, serialize=False),
        ),
    ]
